Wine: OSS Sound System updaten

Diese Seite verwendet Cookies. Durch die Nutzung unserer Seite erklären Sie sich damit einverstanden, dass wir Cookies setzen. Weitere Informationen

Hinweis: In dem Thema Wine: OSS Sound System updaten gibt es 8 Antworten. Der letzte Beitrag () befindet sich ganz unten auf dieser Seite.
  • Wine: OSS Sound System updaten

    Hallo allerseits.

    Ich will bei mir mit dem Windows Kein-Emulator Wine League of Legends zum Laufen bringen.
    An sich habe ich das schon geschafft.

    Es treten allerdings noch Probleme im Spiel auf.
    Die Probleme basieren auf Sound Problemen.

    Eine Konfiguration von Wine zeigt, dass Sound-Probleme beim OSS SoundSystem auftreten: es ist zwar vorhanden, aber zu alt. OSSv4 wird benötigt.

    Nun ist aber das Problem, dass selbst google.de mir keine schlüssigen Informationen gibt, wie ich es anstellen soll, OSS zu aktualisieren oder einfach gleich OSSv4 zu installieren.
    Andere Konfigurationsprobleme(z.B. das bestimme Entwicklungspakete zu Programmen fehlten) ließen sich einfach über Yast lösen:

    Software installieren oder löschen -> Suchbegriff eingeben -> benötigte Pakete installieren

    OSSv4 lässt sich aber scheinbar nicht einfach so über Yast installieren.
    Und eine Repository dafür habe ich bislang auch nur erfolglos gesucht.

    Kann mir hier also jemand helfen? Vielleicht denke ich einfach falsch und das muss generell anders gemacht werden?
    Ich bräuchte OSS nur auf OSSv4 zu aktualisieren bzw. das jetzige OSS einfach zu deinstallieren und OSSv4 zu installieren.

    Wenn benötigt, so gebe ich Systeminformationen bzw. Hardware-Informationen.

    thx an alle Antworten im Vorraus. :)

    Gruß
    IceNekromant
    Hier könnte eine Signatur stehen...

    Für den Inhalt des Beitrages 49278 haftet ausdrücklich der jeweilige Autor: IceNekromant

  • Poste mal die Ausgaben von

    Quellcode

    1. uname -a
    2. zypper lr -uP
    3. zypper se -si oss
    4. zypper se -si wine


    Welches phonon-backend hast Du laufen und hast Du PulseAudio aktiviert oder deaktiviert?

    Für den Inhalt des Beitrages 49279 haftet ausdrücklich der jeweilige Autor: Trekkie00

  • Hallo Trekkie.

    Hier hast du die Ausgaben deiner Befehle:

    Quellcode

    1. uname -a
    2. Linux linux-os9h 3.1.10-1.16-desktop #1 SMP PREEMPT Wed Jun 27 05:21:40 UTC 2012 (d016078) i686 i686 i386 GNU/Linux


    Brainfuck-Quellcode

    1. zypper lr -uP
    2. # | Alias | Name | Aktiviert | Aktualisieren | Priorität | URI
    3. ---+---------------------------------------------+---------------------------------------------+-----------+---------------+-----------+---------------------------------------------------------------------------
    4. 1 | Aktualisierungen-für-openSUSE-12.1-12.1-1.4 | Aktualisierungen für openSUSE 12.1 12.1-1.4 | Ja | Ja | 99 | http://download.opensuse.org/update/12.1/
    5. 2 | download.opensuse.org-oss | Haupt-Repository (DEBUG) | Ja | Ja | 99 | http://download.opensuse.org/debug/distribution/12.1/repo/oss/
    6. 3 | download.opensuse.org-oss_1 | Haupt-Repository (Quellen) | Ja | Ja | 99 | http://download.opensuse.org/source/distribution/12.1/repo/oss/
    7. 4 | openSUSE-12.1-12.1-1.4 | openSUSE-12.1-12.1-1.4 | Ja | Nein | 99 | cd:///?devices=/dev/disk/by-id/ata-HL-DT-STDVD-ROM_GDR8164B,/dev/sr0
    8. 5 | packman.inode.at-suse | Packman Repository | Ja | Ja | 99 | http://packman.inode.at/suse/12.1/
    9. 6 | repo-debug | openSUSE-12.1-Debug | Nein | Ja | 99 | http://download.opensuse.org/debug/distribution/12.1/repo/oss/
    10. 7 | repo-debug-update | openSUSE-12.1-Update-Debug | Nein | Ja | 99 | http://download.opensuse.org/debug/update/12.1/
    11. 8 | repo-non-oss | openSUSE-12.1-Non-Oss | Ja | Ja | 99 | http://download.opensuse.org/distribution/12.1/repo/non-oss/
    12. 9 | repo-oss | openSUSE-12.1-Oss | Ja | Ja | 99 | http://download.opensuse.org/distribution/12.1/repo/oss/
    13. 10 | repo-source | openSUSE-12.1-Source | Nein | Ja | 99 | http://download.opensuse.org/source/distribution/12.1/repo/oss/
    14. 11 | scm | scm | Ja | Ja | 99 | http://download.opensuse.org/repositories/devel:/tools:/scm/openSUSE_12.1/
    Alles anzeigen


    Brainfuck-Quellcode

    1. zypper se -si oss
    2. Daten des Repositories laden ...
    3. Installierte Pakete lesen ...
    4. S | Name | Typ | Version | Arch | Repository
    5. --+-------------------------------+--------+---------------+------+-----------------------
    6. i | alsa-oss | Paket | 1.0.17-37.1.2 | i586 | openSUSE-12.1-Oss
    7. i | alsa-oss | Paket | 1.0.17-37.1.2 | i586 | openSUSE-12.1-12.1-1.4
    8. i | non_oss | Schema | 12.1-25.21.1 | i586 | openSUSE-12.1-Oss
    9. i | non_oss | Schema | 12.1-25.21.1 | i586 | openSUSE-12.1-12.1-1.4
    10. i | patterns-openSUSE-non_oss | Paket | 12.1-25.21.1 | i586 | openSUSE-12.1-Oss
    11. i | patterns-openSUSE-non_oss | Paket | 12.1-25.21.1 | i586 | openSUSE-12.1-12.1-1.4
    12. i | patterns-openSUSE-non_oss_opt | Paket | 12.1-25.21.1 | i586 | openSUSE-12.1-Oss
    13. i | patterns-openSUSE-non_oss_opt | Paket | 12.1-25.21.1 | i586 | openSUSE-12.1-12.1-1.4
    Alles anzeigen


    Brainfuck-Quellcode

    1. zypper se -si wine
    2. Daten des Repositories laden ...
    3. Installierte Pakete lesen ...
    4. S | Name | Typ | Version | Arch | Repository
    5. --+------------------+-------+------------+--------+--------------------------------------------
    6. i | wine | Paket | 1.4-2.12.1 | i586 | Aktualisierungen für openSUSE 12.1 12.1-1.4
    7. i | wine-32bit | Paket | 1.4-2.12.1 | i586 | Aktualisierungen für openSUSE 12.1 12.1-1.4
    8. i | wine-devel | Paket | 1.4-2.12.1 | i586 | Aktualisierungen für openSUSE 12.1 12.1-1.4
    9. i | wine-devel-32bit | Paket | 1.4-2.12.1 | i586 | Aktualisierungen für openSUSE 12.1 12.1-1.4
    10. i | wine-gecko | Paket | 1.4-2.4.1 | noarch | Aktualisierungen für openSUSE 12.1 12.1-1.4
    Alles anzeigen



    phonon-backend? Ich weiß zwar nicht genau, was das ist ( :D ) aber:

    Yast -> Software installieren oder löschen -> phonon

    ergibt:

    - libphonon4
    - phonon-backend-gstreamer-0_10

    Wenn das nicht das ist, was du willst, sag mir bitte in Idiotensprache, was ich zu tun habe, um das herauszufinden. Bin bezüglich Linux noch relativer Anfänger. :D

    Und PulseAudio hab ich. Es ist aktiviert und ich nutze es teilweise, z.B. für Skype-Gespräche.

    Gruß
    IceNekromant :)
    Hier könnte eine Signatur stehen...

    Für den Inhalt des Beitrages 49281 haftet ausdrücklich der jeweilige Autor: IceNekromant

  • Binde Dir mal folgendes Repository ein :
    download.opensuse.org/reposito…tors:/Wine/openSUSE_12.1/
    und aktualisiere mal Deine wine Version. Aktuell darin enthalten ist Version wine-1.5.19-204.1.
    Danach versuche die Installation und Konfiguration über PlayOnLinux oder Q4wine.

    Für den Inhalt des Beitrages 49282 haftet ausdrücklich der jeweilige Autor: Trekkie00

  • Hallo Trekkie, hallo Sauerland.

    1. Ich würde gerne die wine 1.5.5 Version behalten, da ich darin nun schon alles gefixt habe(bis auf das Sound Problem). Wenn es keine Alternative gibt, dann kann ich es natürlich mit der aktuellen Version versuchen.

    2. Wie q4Wine funktioniert, und das sage ich mal ehrlich, ist mir schleierhaft. Ich hab das nie verstanden, obwohl das i-wie Wine unterstützen soll.
    Und League of Legends ist nicht überPlayOnLinux zu installieren... es wundert mich, aber es ist nicht möglich.

    3. An Sauerland: Diese Datenbank und das Wine-Forum sind meine erste Haltestelle, die ich nutze, um das Programm zum Laufen zu bringen. :D
    Ich werde seit mittlerweile 7 Wochen vom maintainer von League of Legends gesupported, nur dank ihm läuft das Spiel überhaupt bei mir. Bei den Sound-Problemen kann er mir dann allerdings nicht direkt helfen, er hat nur diese als Grund für die Crashes im Spiel diagnostiziert.
    Und diese Sound Probleme versuche ich wiederum, seit 3 Tagen zu beheben(google-Suche ooooohne Ende :smilie_pc_153: ).

    Also, gibt es keine Möglichkeit, OSSv4 zu installieren?

    Gruß
    IceNekromant :)
    Hier könnte eine Signatur stehen...

    Für den Inhalt des Beitrages 49295 haftet ausdrücklich der jeweilige Autor: IceNekromant

  • Ich werde seit mittlerweile 7 Wochen vom maintainer von League of Legends gesupported

    Wenn der das nicht fixen kann, dann muss ich mich hier ausklinken, da ich nun wirklich kein Fachmann bin, was wine angeht. Ich weiss aber, dass es hier im Forum einige Nutzer gibt, die das verstärkt einsetzen. Vielleicht kann Dir da einer einen Rat geben.

    Für den Inhalt des Beitrages 49310 haftet ausdrücklich der jeweilige Autor: Trekkie00

  • Hmm... ich frage ihn einfach mal direkt, ob er dazu was sagen kann.

    Erstmal, danke dir, Trekkie, und danke dir, Sauerland.

    Trekkie, du meinst zwar, dass du kein Fachmann bist, aber du hast weit mehr Wissen als ich. Allein die Befehle oben hätte ich nach 100.000 Jahren nicht entdeckt und mal ausgeführt. :D
    Also sei nicht so bescheiden. ;)

    Gruß
    IceNekromant
    Hier könnte eine Signatur stehen...

    Für den Inhalt des Beitrages 49315 haftet ausdrücklich der jeweilige Autor: IceNekromant

  • IceNekromant schrieb:

    - phonon-backend-gstreamer-0_10


    Damit warst du doch schon nahe dran. :)

    OSS4 ist ein Teil der gstreamer-plugins und verbirgt sich in den plugins "gstreamer-plugins-good", "gstreamer-plugins-good-extra" und "gstreamer-plugins-bad". Einfach mit dem Modul "Software installieren/entfernen" (entweder aus Yast heraus oder direkt) nach diesen gstreamer-plugins suchen und installieren - je nach Bedarf die 64 oder 32 Bit-Variante - und OSS 4 ist installiert. :)

    Für den Inhalt des Beitrages 49323 haftet ausdrücklich der jeweilige Autor: Senius